[Документация Yandex Cloud](../../../index.md) > [Yandex Managed Service for PostgreSQL](../../index.md) > Справочник API > [REST (англ.)](../index.md) > [Cluster](index.md) > RescheduleMaintenance

# Managed Service for PostgreSQL API, REST: Cluster.RescheduleMaintenance

Reschedules planned maintenance operation.

## HTTP request

```
POST https://mdb.api.yandexcloud.kz/managed-postgresql/v1/clusters/{clusterId}:rescheduleMaintenance
```

## Path parameters

#|
||Field | Description ||
|| clusterId | **string**

Required field. ID of the PostgreSQL cluster to reschedule the maintenance operation for.

The maximum string length in characters is 50. ||
|#

## Body parameters {#yandex.cloud.mdb.postgresql.v1.RescheduleMaintenanceRequest}

```json
{
  "rescheduleType": "string",
  "delayedUntil": "string"
}
```

#|
||Field | Description ||
|| rescheduleType | **enum** (RescheduleType)

Required field. The type of reschedule request.

- `IMMEDIATE`: Start the maintenance operation immediately.
- `NEXT_AVAILABLE_WINDOW`: Start the maintenance operation within the next available maintenance window.
- `SPECIFIC_TIME`: Start the maintenance operation at the specific time. ||
|| delayedUntil | **string** (date-time)

The time until which this maintenance operation should be delayed. The value should be ahead of the first time when the maintenance operation has been scheduled for no more than two weeks. The value can also point to the past moment of time if [rescheduleType.IMMEDIATE](rescheduleMaintenance.md#yandex.cloud.mdb.postgresql.v1.RescheduleMaintenanceRequest.RescheduleType) reschedule type is chosen.

String in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. The range of possible values is from
`0001-01-01T00:00:00Z` to `9999-12-31T23:59:59.999999999Z`, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
[Protocol Buffers reference](https://developers.google.com/protocol-buffers/docs/reference/overview).
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits). ||
|#

## Response {#yandex.cloud.operation.Operation}

**HTTP Code: 200 - OK**

```json
{
  "id": "string",
  "description": "string",
  "createdAt": "string",
  "createdBy": "string",
  "modifiedAt": "string",
  "done": "boolean",
  "metadata": {
    "clusterId": "string",
    "delayedUntil": "string"
  },
  // Includes only one of the fields `error`, `response`
  "error": {
    "code": "integer",
    "message": "string",
    "details": [
      "object"
    ]
  },
  "response": {
    "id": "string",
    "folderId": "string",
    "createdAt": "string",
    "name": "string",
    "description": "string",
    "labels": "object",
    "environment": "string",
    "monitoring": [
      {
        "name": "string",
        "description": "string",
        "link": "string"
      }
    ],
    "config": {
      "version": "string",
      // Includes only one of the fields `postgresqlConfig_11`, `postgresqlConfig_12`, `postgresqlConfig_13`, `postgresqlConfig_13_1c`, `postgresqlConfig_14`, `postgresqlConfig_14_1c`, `postgresqlConfig_15`, `postgresqlConfig_15_1c`, `postgresqlConfig_16`, `postgresqlConfig_16_1c`, `postgresqlConfig_17`, `postgresqlConfig_17_1c`, `postgresqlConfig_18`, `postgresqlConfig_18_1c`
      "postgresqlConfig_11": {
        "effectiveConfig": {
          "maxConnections": "string",
          "sharedBuffers": "string",
          "tempBuffers": "string",
          "maxPreparedTransactions": "string",
          "workMem": "string",
          "maintenanceWorkMem": "string",
          "autovacuumWorkMem": "string",
          "tempFileLimit": "string",
          "vacuumCostDelay": "string",
          "vacuumCostPageHit": "string",
          "vacuumCostPageMiss": "string",
          "vacuumCostPageDirty": "string",
          "vacuumCostLimit": "string",
          "bgwriterDelay": "string",
          "bgwriterLruMaxpages": "string",
          "bgwriterLruMultiplier": "number",
          "bgwriterFlushAfter": "string",
          "backendFlushAfter": "string",
          "oldSnapshotThreshold": "string",
          "walLevel": "string",
          "synchronousCommit": "string",
          "checkpointTimeout": "string",
          "checkpointCompletionTarget": "number",
          "checkpointFlushAfter": "string",
          "maxWalSize": "string",
          "minWalSize": "string",
          "maxStandbyStreamingDelay": "string",
          "defaultStatisticsTarget": "string",
          "constraintExclusion": "string",
          "cursorTupleFraction": "number",
          "fromCollapseLimit": "string",
          "joinCollapseLimit": "string",
          "forceParallelMode": "string",
          "clientMinMessages": "string",
          "logMinMessages": "string",
          "logMinErrorStatement": "string",
          "logMinDurationStatement": "string",
          "logCheckpoints": "boolean",
          "logConnections": "boolean",
          "logDisconnections": "boolean",
          "logDuration": "boolean",
          "logErrorVerbosity": "string",
          "logLockWaits": "boolean",
          "logStatement": "string",
          "logTempFiles": "string",
          "searchPath": "string",
          "rowSecurity": "boolean",
          "defaultTransactionIsolation": "string",
          "statementTimeout": "string",
          "lockTimeout": "string",
          "idleInTransactionSessionTimeout": "string",
          "byteaOutput": "string",
          "xmlbinary": "string",
          "xmloption": "string",
          "ginPendingListLimit": "string",
          "deadlockTimeout": "string",
          "maxLocksPerTransaction": "string",
          "maxPredLocksPerTransaction": "string",
          "arrayNulls": "boolean",
          "backslashQuote": "string",
          "defaultWithOids": "boolean",
          "escapeStringWarning": "boolean",
          "loCompatPrivileges": "boolean",
          "operatorPrecedenceWarning": "boolean",
          "quoteAllIdentifiers": "boolean",
          "standardConformingStrings": "boolean",
          "synchronizeSeqscans": "boolean",
          "transformNullEquals": "boolean",
          "exitOnError": "boolean",
          "seqPageCost": "number",
          "randomPageCost": "number",
          "autovacuumMaxWorkers": "string",
          "autovacuumVacuumCostDelay": "string",
          "autovacuumVacuumCostLimit": "string",
          "autovacuumNaptime": "string",
          "archiveTimeout": "string",
          "trackActivityQuerySize": "string",
          "enableBitmapscan": "boolean",
          "enableHashagg": "boolean",
          "enableHashjoin": "boolean",
          "enableIndexscan": "boolean",
          "enableIndexonlyscan": "boolean",
          "enableMaterial": "boolean",
          "enableMergejoin": "boolean",
          "enableNestloop": "boolean",
          "enableSeqscan": "boolean",
          "enableSort": "boolean",
          "enableTidscan": "boolean",
          "maxWorkerProcesses": "string",
          "maxParallelWorkers": "string",
          "maxParallelWorkersPerGather": "string",
          "autovacuumVacuumScaleFactor": "number",
          "autovacuumAnalyzeScaleFactor": "number",
          "defaultTransactionReadOnly": "boolean",
          "timezone": "string",
          "enableParallelAppend": "boolean",
          "enableParallelHash": "boolean",
          "enablePartitionPruning": "boolean",
          "enablePartitionwiseAggregate": "boolean",
          "enablePartitionwiseJoin": "boolean",
          "jit": "boolean",
          "maxParallelMaintenanceWorkers": "string",
          "parallelLeaderParticipation": "boolean",
          "vacuumCleanupIndexScaleFactor": "number",
          "effectiveIoConcurrency": "string",
          "effectiveCacheSize": "string",
          "sharedPreloadLibraries": [
            "string"
          ],
          "autoExplainLogMinDuration": "string",
          "autoExplainLogAnalyze": "boolean",
          "autoExplainLogBuffers": "boolean",
          "autoExplainLogTiming": "boolean",
          "autoExplainLogTriggers": "boolean",
          "autoExplainLogVerbose": "boolean",
          "autoExplainLogNestedStatements": "boolean",
          "autoExplainSampleRate": "number",
          "pgHintPlanEnableHint": "boolean",
          "pgHintPlanEnableHintTable": "boolean",
          "pgHintPlanDebugPrint": "string",
          "pgHintPlanMessageLevel": "string",
          "pgQualstatsEnabled": "boolean",
          "pgQualstatsTrackConstants": "boolean",
          "pgQualstatsMax": "string",
          "pgQualstatsResolveOids": "boolean",
          "pgQualstatsSampleRate": "number",
          "maxStackDepth": "string",
          "geqo": "boolean",
          "geqoThreshold": "string",
          "geqoEffort": "string",
          "geqoPoolSize": "string",
          "geqoGenerations": "string",
          "geqoSelectionBias": "number",
          "geqoSeed": "number",
          "pgTrgmSimilarityThreshold": "number",
          "pgTrgmWordSimilarityThreshold": "number",
          "pgTrgmStrictWordSimilarityThreshold": "number",
          "maxStandbyArchiveDelay": "string",
          "sessionDurationTimeout": "string",
          "logReplicationCommands": "boolean",
          "logAutovacuumMinDuration": "string",
          "passwordEncryption": "string"
        },
        "userConfig": {
          "maxConnections": "string",
          "sharedBuffers": "string",
          "tempBuffers": "string",
          "maxPreparedTransactions": "string",
          "workMem": "string",
          "maintenanceWorkMem": "string",
          "autovacuumWorkMem": "string",
          "tempFileLimit": "string",
          "vacuumCostDelay": "string",
          "vacuumCostPageHit": "string",
          "vacuumCostPageMiss": "string",
          "vacuumCostPageDirty": "string",
          "vacuumCostLimit": "string",
          "bgwriterDelay": "string",
          "bgwriterLruMaxpages": "string",
          "bgwriterLruMultiplier": "number",
          "bgwriterFlushAfter": "string",
          "backendFlushAfter": "string",
          "oldSnapshotThreshold": "string",
          "walLevel": "string",
          "synchronousCommit": "string",
          "checkpointTimeout": "string",
          "checkpointCompletionTarget": "number",
          "checkpointFlushAfter": "string",
          "maxWalSize": "string",
          "minWalSize": "string",
          "maxStandbyStreamingDelay": "string",
          "defaultStatisticsTarget": "string",
          "constraintExclusion": "string",
          "cursorTupleFraction": "number",
          "fromCollapseLimit": "string",
          "joinCollapseLimit": "string",
          "forceParallelMode": "string",
          "clientMinMessages": "string",
          "logMinMessages": "string",
          "logMinErrorStatement": "string",
          "logMinDurationStatement": "string",
          "logCheckpoints": "boolean",
          "logConnections": "boolean",
          "logDisconnections": "boolean",
          "logDuration": "boolean",
          "logErrorVerbosity": "string",
          "logLockWaits": "boolean",
          "logStatement": "string",
          "logTempFiles": "string",
          "searchPath": "string",
          "rowSecurity": "boolean",
          "defaultTransactionIsolation": "string",
          "statementTimeout": "string",
          "lockTimeout": "string",
          "idleInTransactionSessionTimeout": "string",
          "byteaOutput": "string",
          "xmlbinary": "string",
          "xmloption": "string",
          "ginPendingListLimit": "string",
          "deadlockTimeout": "string",
          "maxLocksPerTransaction": "string",
          "maxPredLocksPerTransaction": "string",
          "arrayNulls": "boolean",
          "backslashQuote": "string",
          "defaultWithOids": "boolean",
          "escapeStringWarning": "boolean",
          "loCompatPrivileges": "boolean",
          "operatorPrecedenceWarning": "boolean",
          "quoteAllIdentifiers": "boolean",
          "standardConformingStrings": "boolean",
          "synchronizeSeqscans": "boolean",
          "transformNullEquals": "boolean",
          "exitOnError": "boolean",
          "seqPageCost": "number",
          "randomPageCost": "number",
          "autovacuumMaxWorkers": "string",
          "autovacuumVacuumCostDelay": "string",
          "autovacuumVacuumCostLimit": "string",
          "autovacuumNaptime": "string",
          "archiveTimeout": "string",
          "trackActivityQuerySize": "string",
          "enableBitmapscan": "boolean",
          "enableHashagg": "boolean",
          "enableHashjoin": "boolean",
          "enableIndexscan": "boolean",
          "enableIndexonlyscan": "boolean",
          "enableMaterial": "boolean",
          "enableMergejoin": "boolean",
          "enableNestloop": "boolean",
          "enableSeqscan": "boolean",
          "enableSort": "boolean",
          "enableTidscan": "boolean",
          "maxWorkerProcesses": "string",
          "maxParallelWorkers": "string",
          "maxParallelWorkersPerGather": "string",
          "autovacuumVacuumScaleFactor": "number",
          "autovacuumAnalyzeScaleFactor": "number",
          "defaultTransactionReadOnly": "boolean",
          "timezone": "string",
          "enableParallelAppend": "boolean",
          "enableParallelHash": "boolean",
          "enablePartitionPruning": "boolean",
          "enablePartitionwiseAggregate": "boolean",
          "enablePartitionwiseJoin": "boolean",
          "jit": "boolean",
          "maxParallelMaintenanceWorkers": "string",
          "parallelLeaderParticipation": "boolean",
          "vacuumCleanupIndexScaleFactor": "number",
          "effectiveIoConcurrency": "string",
          "effectiveCacheSize": "string",
          "sharedPreloadLibraries": [
            "string"
          ],
          "autoExplainLogMinDuration": "string",
          "autoExplainLogAnalyze": "boolean",
          "autoExplainLogBuffers": "boolean",
          "autoExplainLogTiming": "boolean",
          "autoExplainLogTriggers": "boolean",
          "autoExplainLogVerbose": "boolean",
          "autoExplainLogNestedStatements": "boolean",
          "autoExplainSampleRate": "number",
          "pgHintPlanEnableHint": "boolean",
          "pgHintPlanEnableHintTable": "boolean",
          "pgHintPlanDebugPrint": "string",
          "pgHintPlanMessageLevel": "string",
          "pgQualstatsEnabled": "boolean",
          "pgQualstatsTrackConstants": "boolean",
          "pgQualstatsMax": "string",
          "pgQualstatsResolveOids": "boolean",
          "pgQualstatsSampleRate": "number",
          "maxStackDepth": "string",
          "geqo": "boolean",
          "geqoThreshold": "string",
          "geqoEffort": "string",
          "geqoPoolSize": "string",
          "geqoGenerations": "string",
          "geqoSelectionBias": "number",
          "geqoSeed": "number",
          "pgTrgmSimilarityThreshold": "number",
          "pgTrgmWordSimilarityThreshold": "number",
          "pgTrgmStrictWordSimilarityThreshold": "number",
          "maxStandbyArchiveDelay": "string",
          "sessionDurationTimeout": "string",
          "logReplicationCommands": "boolean",
          "logAutovacuumMinDuration": "string",
          "passwordEncryption": "string"
        },
        "defaultConfig": {
          "maxConnections": "string",
          "sharedBuffers": "string",
          "tempBuffers": "string",
          "maxPreparedTransactions": "string",
          "workMem": "string",
          "maintenanceWorkMem": "string",
          "autovacuumWorkMem": "string",
          "tempFileLimit": "string",
          "vacuumCostDelay": "string",
          "vacuumCostPageHit": "string",
          "vacuumCostPageMiss": "string",
          "vacuumCostPageDirty": "string",
          "vacuumCostLimit": "string",
          "bgwriterDelay": "string",
          "bgwriterLruMaxpages": "string",
          "bgwriterLruMultiplier": "number",
          "bgwriterFlushAfter": "string",
          "backendFlushAfter": "string",
          "oldSnapshotThreshold": "string",
          "walLevel": "string",
          "synchronousCommit": "string",
          "checkpointTimeout": "string",
          "checkpointCompletionTarget": "number",
          "checkpointFlushAfter": "string",
          "maxWalSize": "string",
          "minWalSize": "string",
          "maxStandbyStreamingDelay": "string",
          "defaultStatisticsTarget": "string",
          "constraintExclusion": "string",
          "cursorTupleFraction": "number",
          "fromCollapseLimit": "string",
          "joinCollapseLimit": "string",
          "forceParallelMode": "string",
          "clientMinMessages": "string",
          "logMinMessages": "string",
          "logMinErrorStatement": "string",
          "logMinDurationStatement": "string",
          "logCheckpoints": "boolean",
          "logConnections": "boolean",
          "logDisconnections": "boolean",
          "logDuration": "boolean",
          "logErrorVerbosity": "string",
          "logLockWaits": "boolean",
          "logStatement": "string",
          "logTempFiles": "string",
          "searchPath": "string",
          "rowSecurity": "boolean",
          "defaultTransactionIsolation": "string",
          "statementTimeout": "string",
          "lockTimeout": "string",
          "idleInTransactionSessionTimeout": "string",
          "byteaOutput": "string",
          "xmlbinary": "string",
          "xmloption": "string",
          "ginPendingListLimit": "string",
          "deadlockTimeout": "string",
          "maxLocksPerTransaction": "string",
          "maxPredLocksPerTransaction": "string",
          "arrayNulls": "boolean",
          "backslashQuote": "string",
          "defaultWithOids": "boolean",
          "escapeStringWarning": "boolean",
          "loCompatPrivileges": "boolean",
          "operatorPrecedenceWarning": "boolean",
          "quoteAllIdentifiers": "boolean",
          "standardConformingStrings": "boolean",
          "synchronizeSeqscans": "boolean",
          "transformNullEquals": "boolean",
          "exitOnError": "boolean",
          "seqPageCost": "number",
          "randomPageCost": "number",
          "autovacuumMaxWorkers": "string",
          "autovacuumVacuumCostDelay": "string",
          "autovacuumVacuumCostLimit": "string",
          "autovacuumNaptime": "string",
          "archiveTimeout": "string",
          "trackActivityQuerySize": "string",
          "enableBitmapscan": "boolean",
          "enableHashagg": "boolean",
          "enableHashjoin": "boolean",
          "enableIndexscan": "boolean",
          "enableIndexonlyscan": "boolean",
          "enableMaterial": "boolean",
          "enableMergejoin": "boolean",
          "enableNestloop": "boolean",
          "enableSeqscan": "boolean",
          "enableSort": "boolean",
          "enableTidscan": "boolean",
          "maxWorkerProcesses": "string",
          "maxParallelWorkers": "string",
          "maxParallelWorkersPerGather": "string",
          "autovacuumVacuumScaleFactor": "number",
          "autovacuumAnalyzeScaleFactor": "number",
          "defaultTransactionReadOnly": "boolean",
          "timezone": "string",
          "enableParallelAppend": "boolean",
          "enableParallelHash": "boolean",
          "enablePartitionPruning": "boolean",
          "enablePartitionwiseAggregate": "boolean",
          "enablePartitionwiseJoin": "boolean",
          "jit": "boolean",
          "maxParallelMaintenanceWorkers": "string",
          "parallelLeaderParticipation": "boolean",
          "vacuumCleanupIndexScaleFactor": "number",
          "effectiveIoConcurrency": "string",
          "effectiveCacheSize": "string",
          "sharedPreloadLibraries": [
            "string"
          ],
          "autoExplainLogMinDuration": "string",
          "autoExplainLogAnalyze": "boolean",
          "autoExplainLogBuffers": "boolean",
          "autoExplainLogTiming": "boolean",
          "autoExplainLogTriggers": "boolean",
          "autoExplainLogVerbose": "boolean",
          "autoExplainLogNestedStatements": "boolean",
          "autoExplainSampleRate": "number",
          "pgHintPlanEnableHint": "boolean",
          "pgHintPlanEnableHintTable": "boolean",
          "pgHintPlanDebugPrint": "string",
          "pgHintPlanMessageLevel": "string",
          "pgQualstatsEnabled": "boolean",
          "pgQualstatsTrackConstants": "boolean",
          "pgQualstatsMax": "string",
          "pgQualstatsResolveOids": "boolean",
          "pgQualstatsSampleRate": "number",
          "maxStackDepth": "string",
          "geqo": "boolean",
          "geqoThreshold": "string",
          "geqoEffort": "string",
          "geqoPoolSize": "string",
          "geqoGenerations": "string",
          "geqoSelectionBias": "number",
          "geqoSeed": "number",
          "pgTrgmSimilarityThreshold": "number",
          "pgTrgmWordSimilarityThreshold": "number",
          "pgTrgmStrictWordSimilarityThreshold": "number",
          "maxStandbyArchiveDelay": "string",
          "sessionDurationTimeout": "string",
          "logReplicationCommands": "boolean",
          "logAutovacuumMinDuration": "string",
          "passwordEncryption": "string"
        }
      },
      "postgresqlConfig_12": {
        "effectiveConfig": {
          "maxConnections": "string",
          "sharedBuffers": "string",
          "tempBuffers": "string",
          "maxPreparedTransactions": "string",
          "workMem": "string",
          "maintenanceWorkMem": "string",
          "autovacuumWorkMem": "string",
          "tempFileLimit": "string",
          "vacuumCostDelay": "string",
          "vacuumCostPageHit": "string",
          "vacuumCostPageMiss": "string",
          "vacuumCostPageDirty": "string",
          "vacuumCostLimit": "string",
          "bgwriterDelay": "string",
          "bgwriterLruMaxpages": "string",
          "bgwriterLruMultiplier": "number",
          "bgwriterFlushAfter": "string",
          "backendFlushAfter": "string",
          "oldSnapshotThreshold": "string",
          "walLevel": "string",
          "synchronousCommit": "string",
          "checkpointTimeout": "string",
          "checkpointCompletionTarget": "number",
          "checkpointFlushAfter": "string",
          "maxWalSize": "string",
          "minWalSize": "string",
          "maxStandbyStreamingDelay": "string",
          "defaultStatisticsTarget": "string",
          "constraintExclusion": "string",
          "cursorTupleFraction": "number",
          "fromCollapseLimit": "string",
          "joinCollapseLimit": "string",
          "forceParallelMode": "string",
          "clientMinMessages": "string",
          "logMinMessages": "string",
          "logMinErrorStatement": "string",
          "logMinDurationStatement": "string",
          "logCheckpoints": "boolean",
          "logConnections": "boolean",
          "logDisconnections": "boolean",
          "logDuration": "boolean",
          "logErrorVerbosity": "string",
          "logLockWaits": "boolean",
          "logStatement": "string",
          "logTempFiles": "string",
          "searchPath": "string",
          "rowSecurity": "boolean",
          "defaultTransactionIsolation": "string",
          "statementTimeout": "string",
          "lockTimeout": "string",
          "idleInTransactionSessionTimeout": "string",
          "byteaOutput": "string",
          "xmlbinary": "string",
          "xmloption": "string",
          "ginPendingListLimit": "string",
          "deadlockTimeout": "string",
          "maxLocksPerTransaction": "string",
          "maxPredLocksPerTransaction": "string",
          "arrayNulls": "boolean",
          "backslashQuote": "string",
          "defaultWithOids": "boolean",
          "escapeStringWarning": "boolean",
          "loCompatPrivileges": "boolean",
          "operatorPrecedenceWarning": "boolean",
          "quoteAllIdentifiers": "boolean",
          "standardConformingStrings": "boolean",
          "synchronizeSeqscans": "boolean",
          "transformNullEquals": "boolean",
          "exitOnError": "boolean",
          "seqPageCost": "number",
          "randomPageCost": "number",
          "autovacuumMaxWorkers": "string",
          "autovacuumVacuumCostDelay": "string",
          "autovacuumVacuumCostLimit": "string",
          "autovacuumNaptime": "string",
          "archiveTimeout": "string",
          "trackActivityQuerySize": "string",
          "enableBitmapscan": "boolean",
          "enableHashagg": "boolean",
          "enableHashjoin": "boolean",
          "enableIndexscan": "boolean",
          "enableIndexonlyscan": "boolean",
          "enableMaterial": "boolean",
          "enableMergejoin": "boolean",
          "enableNestloop": "boolean",
          "enableSeqscan": "boolean",
          "enableSort": "boolean",
          "enableTidscan": "boolean",
          "maxWorkerProcesses": "string",
          "maxParallelWorkers": "string",
          "maxParallelWorkersPerGather": "string",
          "autovacuumVacuumScaleFactor": "number",
          "autovacuumAnalyzeScaleFactor": "number",
          "defaultTransactionReadOnly": "boolean",
          "timezone": "string",
          "enableParallelAppend": "boolean",
          "enableParallelHash": "boolean",
          "enablePartitionPruning": "boolean",
          "enablePartitionwiseAggregate": "boolean",
          "enablePartitionwiseJoin": "boolean",
          "jit": "boolean",
          "maxParallelMaintenanceWorkers": "string",
          "parallelLeaderParticipation": "boolean",
          "vacuumCleanupIndexScaleFactor": "number",
          "logTransactionSampleRate": "number",
          "planCacheMode": "string",
          "effectiveIoConcurrency": "string",
          "effectiveCacheSize": "string",
          "sharedPreloadLibraries": [
            "string"
          ],
          "autoExplainLogMinDuration": "string",
          "autoExplainLogAnalyze": "boolean",
          "autoExplainLogBuffers": "boolean",
          "autoExplainLogTiming": "boolean",
          "autoExplainLogTriggers": "boolean",
          "autoExplainLogVerbose": "boolean",
          "autoExplainLogNestedStatements": "boolean",
          "autoExplainSampleRate": "number",
          "pgHintPlanEnableHint": "boolean",
          "pgHintPlanEnableHintTable": "boolean",
          "pgHintPlanDebugPrint": "string",
          "pgHintPlanMessageLevel": "string",
          "pgQualstatsEnabled": "boolean",
          "pgQualstatsTrackConstants": "boolean",
          "pgQualstatsMax": "string",
          "pgQualstatsResolveOids": "boolean",
          "pgQualstatsSampleRate": "number",
          "maxStackDepth": "string",
          "geqo": "boolean",
          "geqoThreshold": "string",
          "geqoEffort": "string",
          "geqoPoolSize": "string",
          "geqoGenerations": "string",
          "geqoSelectionBias": "number",
          "geqoSeed": "number",
          "pgTrgmSimilarityThreshold": "number",
          "pgTrgmWordSimilarityThreshold": "number",
          "pgTrgmStrictWordSimilarityThreshold": "number",
          "maxStandbyArchiveDelay": "string",
          "sessionDurationTimeout": "string",
          "logReplicationCommands": "boolean",
          "logAutovacuumMinDuration": "string",
          "passwordEncryption": "string"
        },
        "userConfig": {
          "maxConnections": "string",
          "sharedBuffers": "string",
          "tempBuffers": "string",
          "maxPreparedTransactions": "string",
          "workMem": "string",
          "maintenanceWorkMem": "string",
          "autovacuumWorkMem": "string",
          "tempFileLimit": "string",
          "vacuumCostDelay": "string",
          "vacuumCostPageHit": "string",
          "vacuumCostPageMiss": "string",
          "vacuumCostPageDirty": "string",
          "vacuumCostLimit": "string",
          "bgwriterDelay": "string",
          "bgwriterLruMaxpages": "string",
          "bgwriterLruMultiplier": "number",
          "bgwriterFlushAfter": "string",
          "backendFlushAfter": "string",
          "oldSnapshotThreshold": "string",
          "walLevel": "string",
          "synchronousCommit": "string",
          "checkpointTimeout": "string",
          "checkpointCompletionTarget": "number",
          "checkpointFlushAfter": "string",
          "maxWalSize": "string",
          "minWalSize": "string",
          "maxStandbyStreamingDelay": "string",
          "defaultStatisticsTarget": "string",
          "constraintExclusion": "string",
          "cursorTupleFraction": "number",
          "fromCollapseLimit": "string",
          "joinCollapseLimit": "string",
          "forceParallelMode": "string",
          "clientMinMessages": "string",
          "logMinMessages": "string",
          "logMinErrorStatement": "string",
          "logMinDurationStatement": "string",
          "logCheckpoints": "boolean",
          "logConnections": "boolean",
          "logDisconnections": "boolean",
          "logDuration": "boolean",
          "logErrorVerbosity": "string",
          "logLockWaits": "boolean",
          "logStatement": "string",
          "logTempFiles": "string",
          "searchPath": "string",
          "rowSecurity": "boolean",
          "defaultTransactionIsolation": "string",
          "statementTimeout": "string",
          "lockTimeout": "string",
          "idleInTransactionSessionTimeout": "string",
          "byteaOutput": "string",
          "xmlbinary": "string",
          "xmloption": "string",
          "ginPendingListLimit": "string",
          "deadlockTimeout": "string",
          "maxLocksPerTransaction": "string",
          "maxPredLocksPerTransaction": "string",
          "arrayNulls": "boolean",
          "backslashQuote": "string",
          "defaultWithOids": "boolean",
          "escapeStringWarning": "boolean",
          "loCompatPrivileges": "boolean",
          "operatorPrecedenceWarning": "boolean",
          "quoteAllIdentifiers": "boolean",
          "standardConformingStrings": "boolean",
          "synchronizeSeqscans": "boolean",
          "transformNullEquals": "boolean",
          "exitOnError": "boolean",
          "seqPageCost": "number",
          "randomPageCost": "number",
          "autovacuumMaxWorkers": "string",
          "autovacuumVacuumCostDelay": "string",
          "autovacuumVacuumCostLimit": "string",
          "autovacuumNaptime": "string",
          "archiveTimeout": "string",
          "trackActivityQuerySize": "string",
          "enableBitmapscan": "boolean",
          "enableHashagg": "boolean",
          "enableHashjoin": "boolean",
          "enableIndexscan": "boolean",
          "enableIndexonlyscan": "boolean",
          "enableMaterial": "boolean",
          "enableMergejoin": "boolean",
          "enableNestloop": "boolean",
          "enableSeqscan": "boolean",
          "enableSort": "boolean",
          "enableTidscan": "boolean",
          "maxWorkerProcesses": "string",
          "maxParallelWorkers": "string",
          "maxParallelWorkersPerGather": "string",
          "autovacuumVacuumScaleFactor": "number",
          "autovacuumAnalyzeScaleFactor": "number",
          "defaultTransactionReadOnly": "boolean",
          "timezone": "string",
          "enableParallelAppend": "boolean",
          "enableParallelHash": "boolean",
          "enablePartitionPruning": "boolean",
          "enablePartitionwiseAggregate": "boolean",
          "enablePartitionwiseJoin": "boolean",
          "jit": "boolean",
          "maxParallelMaintenanceWorkers": "string",
          "parallelLeaderParticipation": "boolean",
          "vacuumCleanupIndexScaleFactor": "number",
          "logTransactionSampleRate": "number",
          "planCacheMode": "string",
          "effectiveIoConcurrency": "string",
          "effectiveCacheSize": "string",
          "sharedPreloadLibraries": [
            "string"
          ],
          "autoExplainLogMinDuration": "string",
          "autoExplainLogAnalyze": "boolean",
          "autoExplainLogBuffers": "boolean",
          "autoExplainLogTiming": "boolean",
          "autoExplainLogTriggers": "boolean",
          "autoExplainLogVerbose": "boolean",
          "autoExplainLogNestedStatements": "boolean",
          "autoExplainSampleRate": "number",
          "pgHintPlanEnableHint": "boolean",
          "pgHintPlanEnableHintTable": "boolean",
          "pgHintPlanDebugPrint": "string",
          "pgHintPlanMessageLevel": "string",
          "pgQualstatsEnabled": "boolean",
          "pgQualstatsTrackConstants": "boolean",
          "pgQualstatsMax": "string",
          "pgQualstatsResolveOids": "boolean",
          "pgQualstatsSampleRate": "number",
          "maxStackDepth": "string",
          "geqo": "boolean",
          "geqoThreshold": "string",
          "geqoEffort": "string",
          "geqoPoolSize": "string",
          "geqoGenerations": "string",
          "geqoSelectionBias": "number",
          "geqoSeed": "number",
          "pgTrgmSimilarityThreshold": "number",
          "pgTrgmWordSimilarityThreshold": "number",
          "pgTrgmStrictWordSimilarityThreshold": "number",
          "maxStandbyArchiveDelay": "string",
          "sessionDurationTimeout": "string",
          "logReplicationCommands": "boolean",
          "logAutovacuumMinDuration": "string",
          "passwordEncryption": "string"
        },
        "defaultConfig": {
          "maxConnections": "string",
          "sharedBuffers": "string",
          "tempBuffers": "string",
          "maxPreparedTransactions": "string",
          "workMem": "string",
          "maintenanceWorkMem": "string",
          "autovacuumWorkMem": "string",
          "tempFileLimit": "string",
          "vacuumCostDelay": "string",
          "vacuumCostPageHit": "string",
          "vacuumCostPageMiss": "string",
          "vacuumCostPageDirty": "string",
          "vacuumCostLimit": "string",
          "bgwriterDelay": "string",
          "bgwriterLruMaxpages": "string",
          "bgwriterLruMultiplier": "number",
          "bgwriterFlushAfter": "string",
          "backendFlushAfter": "string",
          "oldSnapshotThreshold": "string",
          "walLevel": "string",
          "synchronousCommit": "string",
          "checkpointTimeout": "string",
          "checkpointCompletionTarget": "number",
          "checkpointFlushAfter": "string",
          "maxWalSize": "string",
          "minWalSize": "string",
          "maxStandbyStreamingDelay": "string",
          "defaultStatisticsTarget": "string",
          "constraintExclusion": "string",
          "cursorTupleFraction": "number",
          "fromCollapseLimit": "string",
          "joinCollapseLimit": "string",
          "forceParallelMode": "string",
          "clientMinMessages": "string",
          "logMinMessages": "string",
          "logMinErrorStatement": "string",
          "logMinDurationStatement": "string",
          "logCheckpoints": "boolean",
          "logConnections": "boolean",
          "logDisconnections": "boolean",
          "logDuration": "boolean",
          "logErrorVerbosity": "string",
          "logLockWaits": "boolean",
          "logStatement": "string",
          "logTempFiles": "string",
          "searchPath": "string",
          "rowSecurity": "boolean",
          "defaultTransactionIsolation": "string",
          "statementTimeout": "string",
          "lockTimeout": "string",
          "idleInTransactionSessionTimeout": "string",
          "byteaOutput": "string",
          "xmlbinary": "string",
          "xmloption": "string",
          "ginPendingListLimit": "string",
          "deadlockTimeout": "string",
          "maxLocksPerTransaction": "string",
          "maxPredLocksPerTransaction": "string",
          "arrayNulls": "boolean",
          "backslashQuote": "string",
          "defaultWithOids": "boolean",
          "escapeStringWarning": "boolean",
          "loCompatPrivileges": "boolean",
          "operatorPrecedenceWarning": "boolean",
          "quoteAllIdentifiers": "boolean",
          "standardConformingStrings": "boolean",
          "synchronizeSeqscans": "boolean",
          "transformNullEquals": "boolean",
          "exitOnError": "boolean",
          "seqPageCost": "number",
          "randomPageCost": "number",
          "autovacuumMaxWorkers": "string",
          "autovacuumVacuumCostDelay": "string",
          "autovacuumVacuumCostLimit": "string",
          "autovacuumNaptime": "string",
          "archiveTimeout": "string",
          "trackActivityQuerySize": "string",
          "enableBitmapscan": "boolean",
          "enableHashagg": "boolean",
          "enableHashjoin": "boolean",
          "enableIndexscan": "boolean",
          "enableIndexonlyscan": "boolean",
          "enableMaterial": "boolean",
          "enableMergejoin": "boolean",
          "enableNestloop": "boolean",
          "enableSeqscan": "boolean",
          "enableSort": "boolean",
          "enableTidscan": "boolean",
          "maxWorkerProcesses": "string",
          "maxParallelWorkers": "string",
          "maxParallelWorkersPerGather": "string",
          "autovacuumVacuumScaleFactor": "number",
          "autovacuumAnalyzeScaleFactor": "number",
          "defaultTransactionReadOnly": "boolean",
          "timezone": "string",
          "enableParallelAppend": "boolean",
          "enableParallelHash": "boolean",
          "enablePartitionPruning": "boolean",
          "enablePartitionwiseAggregate": "boolean",
          "enablePartitionwiseJoin": "boolean",
          "jit": "boolean",
          "maxParallelMaintenanceWorkers": "string",
          "parallelLeaderParticipation": "boolean",
          "vacuumCleanupIndexScaleFactor": "number",
          "logTransactionSampleRate": "number",
          "planCacheMode": "string",
          "effectiveIoConcurrency": "string",
          "effectiveCacheSize": "string",
          "sharedPreloadLibraries": [
            "string"
          ],
          "autoExplainLogMinDuration": "string",
          "autoExplainLogAnalyze": "boolean",
          "autoExplainLogBuffers": "boolean",
          "autoExplainLogTiming": "boolean",
          "autoExplainLogTriggers": "boolean",
          "autoExplainLogVerbose": "boolean",
          "autoExplainLogNestedStatements": "boolean",
          "autoExplainSampleRate": "number",
          "pgHintPlanEnableHint": "boolean",
          "pgHintPlanEnableHintTable": "boolean",
          "pgHintPlanDebugPrint": "string",
          "pgHintPlanMessageLevel": "string",
          "pgQualstatsEnabled": "boolean",
          "pgQualstatsTrackConstants": "boolean",
          "pgQualstatsMax": "string",
          "pgQualstatsResolveOids": "boolean",
          "pgQualstatsSampleRate": "number",
          "maxStackDepth": "string",
          "geqo": "boolean",
          "geqoThreshold": "string",
          "geqoEffort": "string",
          "geqoPoolSize": "string",
          "geqoGenerations": "string",
          "geqoSelectionBias": "number",
          "geqoSeed": "number",
          "pgTrgmSimilarityThreshold": "number",
          "pgTrgmWordSimilarityThreshold": "number",
          "pgTrgmStrictWordSimilarityThreshold": "number",
          "maxStandbyArchiveDelay": "string",
          "sessionDurationTimeout": "string",
          "logReplicationCommands": "boolean",
          "logAutovacuumMinDuration": "string",
          "passwordEncryption": "string"
        }
      },
      "postgresqlConfig_13": {
        "effectiveConfig": {
          "maxConnections": "string",
          "sharedBuffers": "string",
          "tempBuffers": "string",
          "maxPreparedTransactions": "string",
          "workMem": "string",
          "maintenanceWorkMem": "string",
          "autovacuumWorkMem": "string",
          "tempFileLimit": "string",
          "vacuumCostDelay": "string",
          "vacuumCostPageHit": "string",
          "vacuumCostPageMiss": "string",
          "vacuumCostPageDirty": "string",
          "vacuumCostLimit": "string",
          "bgwriterDelay": "string",
          "bgwriterLruMaxpages": "string",
          "bgwriterLruMultiplier": "number",
          "bgwriterFlushAfter": "string",
          "backendFlushAfter": "string",
          "oldSnapshotThreshold": "string",
          "walLevel": "string",
          "synchronousCommit": "string",
          "checkpointTimeout": "string",
          "checkpointCompletionTarget": "number",
          "checkpointFlushAfter": "string",
          "maxWalSize": "string",
          "minWalSize": "string",
          "maxStandbyStreamingDelay": "string",
          "defaultStatisticsTarget": "string",
          "constraintExclusion": "string",
          "cursorTupleFraction": "number",
          "fromCollapseLimit": "string",
          "joinCollapseLimit": "string",
          "forceParallelMode": "string",
          "clientMinMessages": "string",
          "logMinMessages": "string",
          "logMinErrorStatement": "string",
          "logMinDurationStatement": "string",
          "logCheckpoints": "boolean",
          "logConnections": "boolean",
          "logDisconnections": "boolean",
          "logDuration": "boolean",
          "logErrorVerbosity": "string",
          "logLockWaits": "boolean",
          "logStatement": "string",
          "logTempFiles": "string",
          "searchPath": "string",
          "rowSecurity": "boolean",
          "defaultTransactionIsolation": "string",
          "statementTimeout": "string",
          "lockTimeout": "string",
          "idleInTransactionSessionTimeout": "string",
          "byteaOutput": "string",
          "xmlbinary": "string",
          "xmloption": "string",
          "ginPendingListLimit": "string",
          "deadlockTimeout": "string",
          "maxLocksPerTransaction": "string",
          "maxPredLocksPerTransaction": "string",
          "arrayNulls": "boolean",
          "backslashQuote": "string",
          "defaultWithOids": "boolean",
          "escapeStringWarning": "boolean",
          "loCompatPrivileges": "boolean",
          "operatorPrecedenceWarning": "boolean",
          "quoteAllIdentifiers": "boolean",
          "standardConformingStrings": "boolean",
          "synchronizeSeqscans": "boolean",
          "transformNullEquals": "boolean",
          "exitOnError": "boolean",
          "seqPageCost": "number",
          "randomPageCost": "number",
          "autovacuumMaxWorkers": "string",
          "autovacuumVacuumCostDelay": "string",
          "autovacuumVacuumCostLimit": "string",
          "autovacuumNaptime": "string",
          "archiveTimeout": "string",
          "trackActivityQuerySize": "string",
          "enableBitmapscan": "boolean",
          "enableHashagg": "boolean",
          "enableHashjoin": "boolean",
          "enableIndexscan": "boolean",
          "enableIndexonlyscan": "boolean",
          "enableMaterial": "boolean",
          "enableMergejoin": "boolean",
          "enableNestloop": "boolean",
          "enableSeqscan": "boolean",
          "enableSort": "boolean",
          "enableTidscan": "boolean",
          "maxWorkerProcesses": "string",
          "maxParallelWorkers": "string",
          "maxParallelWorkersPerGather": "string",
          "autovacuumVacuumScaleFactor": "number",
          "autovacuumAnalyzeScaleFactor": "number",
          "defaultTransactionReadOnly": "boolean",
          "timezone": "string",
          "enableParallelAppend": "boolean",
          "enableParallelHash": "boolean",
          "enablePartitionPruning": "boolean",
          "enablePartitionwiseAggregate": "boolean",
          "enablePartitionwiseJoin": "boolean",
          "jit": "boolean",
          "maxParallelMaintenanceWorkers": "string",
          "parallelLeaderParticipation": "boolean",
          "vacuumCleanupIndexScaleFactor": "number",
          "logTransactionSampleRate": "number",
          "planCacheMode": "string",
          "effectiveIoConcurrency": "string",
          "effectiveCacheSize": "string",
          "sharedPreloadLibraries": [
            "string"
          ],
          "autoExplainLogMinDuration": "string",
          "autoExplainLogAnalyze": "boolean",
          "autoExplainLogBuffers": "boolean",
          "autoExplainLogTiming": "boolean",
          "autoExplainLogTriggers": "boolean",
          "autoExplainLogVerbose": "boolean",
          "autoExplainLogNestedStatements": "boolean",
          "autoExplainSampleRate": "number",
          "pgHintPlanEnableHint": "boolean",
          "pgHintPlanEnableHintTable": "boolean",
          "pgHintPlanDebugPrint": "string",
          "pgHintPlanMessageLevel": "string",
          "hashMemMultiplier": "number",
          "logicalDecodingWorkMem": "string",
          "maintenanceIoConcurrency": "string",
          "maxSlotWalKeepSize": "string",
          "walKeepSize": "string",
          "enableIncrementalSort": "boolean",
          "autovacuumVacuumInsertThreshold": "string",
          "autovacuumVacuumInsertScaleFactor": "number",
          "logMinDurationSample": "string",
          "logStatementSampleRate": "number",
          "logParameterMaxLength": "string",
          "logParameterMaxLengthOnError": "string",
          "pgQualstatsEnabled": "boolean",
          "pgQualstatsTrackConstants": "boolean",
          "pgQualstatsMax": "string",
          "pgQualstatsResolveOids": "boolean",
          "pgQualstatsSampleRate": "number",
          "maxStackDepth": "string",
          "geqo": "boolean",
          "geqoThreshold": "string",
          "geqoEffort": "string",
          "geqoPoolSize": "string",
          "geqoGenerations": "string",
          "geqoSelectionBias": "number",
          "geqoSeed": "number",
          "pgTrgmSimilarityThreshold": "number",
          "pgTrgmWordSimilarityThreshold": "number",
          "pgTrgmStrictWordSimilarityThreshold": "number",
          "maxStandbyArchiveDelay": "string",
          "sessionDurationTimeout": "string",
          "logReplicationCommands": "boolean",
          "logAutovacuumMinDuration": "string",
          "passwordEncryption": "string"
        },
        "userConfig": {
          "maxConnections": "string",
          "sharedBuffers": "string",
          "tempBuffers": "string",
          "maxPreparedTransactions": "string",
          "workMem": "string",
          "maintenanceWorkMem": "string",
          "autovacuumWorkMem": "string",
          "tempFileLimit": "string",
          "vacuumCostDelay": "string",
          "vacuumCostPageHit": "string",
          "vacuumCostPageMiss": "string",
          "vacuumCostPageDirty": "string",
          "vacuumCostLimit": "string",
          "bgwriterDelay": "string",
          "bgwriterLruMaxpages": "string",
          "bgwriterLruMultiplier": "number",
          "bgwriterFlushAfter": "string",
          "backendFlushAfter": "string",
          "oldSnapshotThreshold": "string",
          "walLevel": "string",
          "synchronousCommit": "string",
          "checkpointTimeout": "string",
          "checkpointCompletionTarget": "number",
          "checkpointFlushAfter": "string",
          "maxWalSize": "string",
          "minWalSize": "string",
          "maxStandbyStreamingDelay": "string",
          "defaultStatisticsTarget": "string",
          "constraintExclusion": "string",
          "cursorTupleFraction": "number",
          "fromCollapseLimit": "string",
          "joinCollapseLimit": "string",
          "forceParallelMode": "string",
          "clientMinMessages": "string",
          "logMinMessages": "string",
          "logMinErrorStatement": "string",
          "logMinDurationStatement": "string",
          "logCheckpoints": "boolean",
          "logConnections": "boolean",
          "logDisconnections": "boolean",
          "logDuration": "boolean",
          "logErrorVerbosity": "string",
          "logLockWaits": "boolean",
          "logStatement": "string",
          "logTempFiles": "string",
          "searchPath": "string",
          "rowSecurity": "boolean",
          "defaultTransactionIsolation": "string",
          "statementTimeout": "string",
          "lockTimeout": "string",
          "idleInTransactionSessionTimeout": "string",
          "byteaOutput": "string",
          "xmlbinary": "string",
          "xmloption": "string",
          "ginPendingListLimit": "string",
          "deadlockTimeout": "string",
          "maxLocksPerTransaction": "string",
          "maxPredLocksPerTransaction": "string",
          "arrayNulls": "boolean",
          "backslashQuote": "string",
          "defaultWithOids": "boolean",
          "escapeStringWarning": "boolean",
          "loCompatPrivileges": "boolean",
          "operatorPrecedenceWarning": "boolean",
          "quoteAllIdentifiers": "boolean",
          "standardConformingStrings": "boolean",
          "synchronizeSeqscans": "boolean",
          "transformNullEquals": "boolean",
          "exitOnError": "boolean",
          "seqPageCost": "number",
          "randomPageCost": "number",
          "autovacuumMaxWorkers": "string",
          "autovacuumVacuumCostDelay": "string",
          "autovacuumVacuumCostLimit": "string",
          "autovacuumNaptime": "string",
          "archiveTimeout": "string",
          "trackActivityQuerySize": "string",
          "enableBitmapscan": "boolean",
          "enableHashagg": "boolean",
          "enableHashjoin": "boolean",
          "enableIndexscan": "boolean",
          "enableIndexonlyscan": "boolean",
          "enableMaterial": "boolean",
          "enableMergejoin": "boolean",
          "enableNestloop": "boolean",
          "enableSeqscan": "boolean",
          "enableSort": "boolean",
          "enableTidscan": "boolean",
          "maxWorkerProcesses": "string",
          "maxParallelWorkers": "string",
          "maxParallelWorkersPerGather": "string",
          "autovacuumVacuumScaleFactor": "number",
          "autovacuumAnalyzeScaleFactor": "number",
          "defaultTransactionReadOnly": "boolean",
          "timezone": "string",
          "enableParallelAppend": "boolean",
          "enableParallelHash": "boolean",
          "enablePartitionPruning": "boolean",
          "enablePartitionwiseAggregate": "boolean",
          "enablePartitionwiseJoin": "boolean",
          "jit": "boolean",
          "maxParallelMaintenanceWorkers": "string",
          "parallelLeaderParticipation": "boolean",
          "vacuumCleanupIndexScaleFactor": "number",
          "logTransactionSampleRate": "number",
          "planCacheMode": "string",
          "effectiveIoConcurrency": "string",
          "effectiveCacheSize": "string",
          "sharedPreloadLibraries": [
            "string"
          ],
          "autoExplainLogMinDuration": "string",
          "autoExplainLogAnalyze": "boolean",
          "autoExplainLogBuffers": "boolean",
          "autoExplainLogTiming": "boolean",
          "autoExplainLogTriggers": "boolean",
          "autoExplainLogVerbose": "boolean",
          "autoExplainLogNestedStatements": "boolean",
          "autoExplainSampleRate": "number",
          "pgHintPlanEnableHint": "boolean",
          "pgHintPlanEnableHintTable": "boolean",
          "pgHintPlanDebugPrint": "string",
          "pgHintPlanMessageLevel": "string",
          "hashMemMultiplier": "number",
          "logicalDecodingWorkMem": "string",
          "maintenanceIoConcurrency": "string",
          "maxSlotWalKeepSize": "string",
          "walKeepSize": "string",
          "enableIncrementalSort": "boolean",
          "autovacuumVacuumInsertThreshold": "string",
          "autovacuumVacuumInsertScaleFactor": "number",
          "logMinDurationSample": "string",
          "logStatementSampleRate": "number",
          "logParameterMaxLength": "string",
          "logParameterMaxLengthOnError": "string",
          "pgQualstatsEnabled": "boolean",
          "pgQualstatsTrackConstants": "boolean",
          "pgQualstatsMax": "string",
          "pgQualstatsResolveOids": "boolean",
          "pgQualstatsSampleRate": "number",
          "maxStackDepth": "string",
          "geqo": "boolean",
          "geqoThreshold": "string",
          "geqoEffort": "string",
          "geqoPoolSize": "string",
          "geqoGenerations": "string",
          "geqoSelectionBias": "number",
          "geqoSeed": "number",
          "pgTrgmSimilarityThreshold": "number",
          "pgTrgmWordSimilarityThreshold": "number",
          "pgTrgmStrictWordSimilarityThreshold": "number",
          "maxStandbyArchiveDelay": "string",
          "sessionDurationTimeout": "string",
          "logReplicationCommands": "boolean",
          "logAutovacuumMinDuration": "string",
          "passwordEncryption": "string"
        },
        "defaultConfig": {
          "maxConnections": "string",
          "sharedBuffers": "string",
          "tempBuffers": "string",
          "maxPreparedTransactions": "string",
          "workMem": "string",
          "maintenanceWorkMem": "string",
          "autovacuumWorkMem": "string",
          "tempFileLimit": "string",
          "vacuumCostDelay": "string",
          "vacuumCostPageHit": "string",
          "vacuumCostPageMiss": "string",
          "vacuumCostPageDirty": "string",
          "vacuumCostLimit": "string",
          "bgwriterDelay": "string",
          "bgwriterLruMaxpages": "string",
          "bgwriterLruMultiplier": "number",
          "bgwriterFlushAfter": "string",
          "backendFlushAfter": "string",
          "oldSnapshotThreshold": "string",
          "walLevel": "string",
          "synchronousCommit": "string",
          "checkpointTimeout": "string",
          "checkpointCompletionTarget": "number",
          "checkpointFlushAfter": "string",
          "maxWalSize": "string",
          "minWalSize": "string",
          "maxStandbyStreamingDelay": "string",
          "defaultStatisticsTarget": "string",
          "constraintExclusion": "string",
          "cursorTupleFraction": "number",
          "fromCollapseLimit": "string",
          "joinCollapseLimit": "string",
          "forceParallelMode": "string",
          "clientMinMessages": "string",
          "logMinMessages": "string",
          "logMinErrorStatement": "string",
          "logMinDurationStatement": "string",
          "logCheckpoints": "boolean",
          "logConnections": "boolean",
          "logDisconnections": "boolean",
          "logDuration": "boolean",
          "logErrorVerbosity": "string",
          "logLockWaits": "boolean",
          "logStatement": "string",
          "logTempFiles": "string",
          "searchPath": "string",
          "rowSecurity": "boolean",
          "defaultTransactionIsolation": "string",
          "statementTimeout": "string",
          "lockTimeout": "string",
          "idleInTransactionSessionTimeout": "string",
          "byteaOutput": "string",
          "xmlbinary": "string",
          "xmloption": "string",
          "ginPendingListLimit": "string",
          "deadlockTimeout": "string",
          "maxLocksPerTransaction": "string",
          "maxPredLocksPerTransaction": "string",
          "arrayNulls": "boolean",
          "backslashQuote": "string",
          "defaultWithOids": "boolean",
          "escapeStringWarning": "boolean",
          "loCompatPrivileges": "boolean",
          "operatorPrecedenceWarning": "boolean",
          "quoteAllIdentifiers": "boolean",
          "standardConformingStrings": "boolean",
          "synchronizeSeqscans": "boolean",
          "transformNullEquals": "boolean",
          "exitOnError": "boolean",
          "seqPageCost": "number",
          "randomPageCost": "number",
          "autovacuumMaxWorkers": "string",
          "autovacuumVacuumCostDelay": "string",
          "autovacuumVacuumCostLimit": "string",
          "autovacuumNaptime": "string",
          "archiveTimeout": "string",
          "trackActivityQuerySize": "string",
          "enableBitmapscan": "boolean",
          "enableHashagg": "boolean",
          "enableHashjoin": "boolean",
          "enableIndexscan": "boolean",
          "enableIndexonlyscan": "boolean",
          "enableMaterial": "boolean",
          "enableMergejoin": "boolean",
          "enableNestloop": "boolean",
          "enableSeqscan": "boolean",
          "enableSort": "boolean",
          "enableTidscan": "boolean",
          "maxWorkerProcesses": "string",
          "maxParallelWorkers": "string",
          "maxParallelWorkersPerGather": "string",
          "autovacuumVacuumScaleFactor": "number",
          "autovacuumAnalyzeScaleFactor": "number",
          "defaultTransactionReadOnly": "boolean",
          "timezone": "string",
          "enableParallelAppend": "boolean",
          "enableParallelHash": "boolean",
          "enablePartitionPruning": "boolean",
          "enablePartitionwiseAggregate": "boolean",
          "enablePartitionwiseJoin": "boolean",
          "jit": "boolean",
          "maxParallelMaintenanceWorkers": "string",
          "parallelLeaderParticipation": "boolean",
          "vacuumCleanupIndexScaleFactor": "number",
          "logTransactionSampleRate": "number",
          "planCacheMode": "string",
          "effectiveIoConcurrency": "string",
          "effectiveCacheSize": "string",
          "sharedPreloadLibraries": [
            "string"
          ],
          "autoExplainLogMinDuration": "string",
          "autoExplainLogAnalyze": "boolean",
          "autoExplainLogBuffers": "boolean",
          "autoExplainLogTiming": "boolean",
          "autoExplainLogTriggers": "boolean",
          "autoExplainLogVerbose": "boolean",
          "autoExplainLogNestedStatements": "boolean",
          "autoExplainSampleRate": "number",
          "pgHintPlanEnableHint": "boolean",
          "pgHintPlanEnableHintTable": "boolean",
          "pgHintPlanDebugPrint": "string",
          "pgHintPlanMessageLevel": "string",
          "hashMemMultiplier": "number",
          "logicalDecodingWorkMem": "string",
          "maintenanceIoConcurrency": "string",
          "maxSlotWalKeepSize": "string",
          "walKeepSize": "string",
          "enableIncrementalSort": "boolean",
          "autovacuumVacuumInsertThreshold": "string",
          "autovacuumVacuumInsertScaleFactor": "number",
          "logMinDurationSample": "string",
          "logStatementSampleRate": "number",
          "logParameterMaxLength": "string",
          "logParameterMaxLengthOnError": "string",
          "pgQualstatsEnabled": "boolean",
          "pgQualstatsTrackConstants": "boolean",
          "pgQualstatsMax": "string",
          "pgQualstatsResolveOids": "boolean",
          "pgQualstatsSampleRate": "number",
          "maxStackDepth": "string",
          "geqo": "boolean",
          "geqoThreshold": "string",
          "geqoEffort": "string",
          "geqoPoolSize": "string",
          "geqoGenerations": "string",
          "geqoSelectionBias": "number",
          "geqoSeed": "number",
          "pgTrgmSimilarityThreshold": "number",
          "pgTrgmWordSimilarityThreshold": "number",
          "pgTrgmStrictWordSimilarityThreshold": "number",
          "maxStandbyArchiveDelay": "string",
          "sessionDurationTimeout": "string",
          "logReplicationCommands": "boolean",
          "logAutovacuumMinDuration": "string",
          "passwordEncryption": "string"
        }
      },
      "postgresqlConfig_13_1c": {
        "effectiveConfig": {
          "maxConnections": "string",
          "sharedBuffers": "string",
          "tempBuffers": "string",
          "maxPreparedTransactions": "string",
          "workMem": "string",
          "maintenanceWorkMem": "string",
          "autovacuumWorkMem": "string",
          "tempFileLimit": "string",
          "vacuumCostDelay": "string",
          "vacuumCostPageHit": "string",
          "vacuumCostPageMiss": "string",
          "vacuumCostPageDirty": "string",
          "vacuumCostLimit": "string",
          "bgwriterDelay": "string",
          "bgwriterLruMaxpages": "string",
          "bgwriterLruMultiplier": "number",
          "bgwriterFlushAfter": "string",
          "backendFlushAfter": "string",
          "oldSnapshotThreshold": "string",
          "walLevel": "string",
          "synchronousCommit": "string",
          "checkpointTimeout": "string",
          "checkpointCompletionTarget": "number",
          "checkpointFlushAfter": "string",
          "maxWalSize": "string",
          "minWalSize": "string",
          "maxStandbyStreamingDelay": "string",
          "defaultStatisticsTarget": "string",
          "constraintExclusion": "string",
          "cursorTupleFraction": "number",
          "fromCollapseLimit": "string",
          "joinCollapseLimit": "string",
          "forceParallelMode": "string",
          "clientMinMessages": "string",
          "logMinMessages": "string",
          "logMinErrorStatement": "string",
          "logMinDurationStatement": "string",
          "logCheckpoints": "boolean",
          "logConnections": "boolean",
          "logDisconnections": "boolean",
          "logDuration": "boolean",
          "logErrorVerbosity": "string",
          "logLockWaits": "boolean",
          "logStatement": "string",
          "logTempFiles": "string",
          "searchPath": "string",
          "rowSecurity": "boolean",
          "defaultTransactionIsolation": "string",
          "statementTimeout": "string",
          "lockTimeout": "string",
          "idleInTransactionSessionTimeout": "string",
          "byteaOutput": "string",
          "xmlbinary": "string",
          "xmloption": "string",
          "ginPendingListLimit": "string",
          "deadlockTimeout": "string",
          "maxLocksPerTransaction": "string",
          "maxPredLocksPerTransaction": "string",
          "arrayNulls": "boolean",
          "backslashQuote": "string",
          "defaultWithOids": "boolean",
          "escapeStringWarning": "boolean",
          "loCompatPrivileges": "boolean",
          "operatorPrecedenceWarning": "boolean",
          "quoteAllIdentifiers": "boolean",
          "standardConformingStrings": "boolean",
          "synchronizeSeqscans": "boolean",
          "transformNullEquals": "boolean",
          "exitOnError": "boolean",
          "seqPageCost": "number",
          "randomPageCost": "number",
          "autovacuumMaxWorkers": "string",
          "autovacuumVacuumCostDelay": "string",
          "autovacuumVacuumCostLimit": "string",
          "autovacuumNaptime": "string",
          "archiveTimeout": "string",
          "trackActivityQuerySize": "string",
          "onlineAnalyzeEnable": "boolean",
          "enableBitmapscan": "boolean",
          "enableHashagg": "boolean",
          "enableHashjoin": "boolean",
          "enableIndexscan": "boolean",
          "enableIndexonlyscan": "boolean",
          "enableMaterial": "boolean",
          "enableMergejoin": "boolean",
          "enableNestloop": "boolean",
          "enableSeqscan": "boolean",
          "enableSort": "boolean",
          "enableTidscan": "boolean",
          "maxWorkerProcesses": "string",
          "maxParallelWorkers": "string",
          "maxParallelWorkersPerGather": "string",
          "autovacuumVacuumScaleFactor": "number",
          "autovacuumAnalyzeScaleFactor": "number",
          "defaultTransactionReadOnly": "boolean",
          "timezone": "string",
          "enableParallelAppend": "boolean",
          "enableParallelHash": "boolean",
          "enablePartitionPruning": "boolean",
          "enablePartitionwiseAggregate": "boolean",
          "enablePartitionwiseJoin": "boolean",
          "jit": "boolean",
          "maxParallelMaintenanceWorkers": "string",
          "parallelLeaderParticipation": "boolean",
          "vacuumCleanupIndexScaleFactor": "number",
          "logTransactionSampleRate": "number",
          "planCacheMode": "string",
          "effectiveIoConcurrency": "string",
          "effectiveCacheSize": "string",
          "sharedPreloadLibraries": [
            "string"
          ],
          "autoExplainLogMinDuration": "string",
          "autoExplainLogAnalyze": "boolean",
          "autoExplainLogBuffers": "boolean",
          "autoExplainLogTiming": "boolean",
          "autoExplainLogTriggers": "boolean",
          "autoExplainLogVerbose": "boolean",
          "autoExplainLogNestedStatements": "boolean",
          "autoExplainSampleRate": "number",
          "pgHintPlanEnableHint": "boolean",
          "pgHintPlanEnableHintTable": "boolean",
          "pgHintPlanDebugPrint": "string",
          "pgHintPlanMessageLevel": "string",
          "hashMemMultiplier": "number",
          "logicalDecodingWorkMem": "string",
          "maintenanceIoConcurrency": "string",
          "maxSlotWalKeepSize": "string",
          "walKeepSize": "string",
          "enableIncrementalSort": "boolean",
          "autovacuumVacuumInsertThreshold": "string",
          "autovacuumVacuumInsertScaleFactor": "number",
          "logMinDurationSample": "string",
          "logStatementSampleRate": "number",
          "logParameterMaxLength": "string",
          "logParameterMaxLengthOnError": "string",
          "pgQualstatsEnabled": "boolean",
          "pgQualstatsTrackConstants": "boolean",
          "pgQualstatsMax": "string",
          "pgQualstatsResolveOids": "boolean",
          "pgQualstatsSampleRate": "number",
          "plantunerFixEmptyTable": "boolean",
          "geqo": "boolean",
          "geqoThreshold": "string",
          "geqoEffort": "string",
          "geqoPoolSize": "string",
          "geqoGenerations": "string",
          "geqoSelectionBias": "number",
          "geqoSeed": "number",
          "pgTrgmSimilarityThreshold": "number",
          "pgTrgmWordSimilarityThreshold": "number",
          "pgTrgmStrictWordSimilarityThreshold": "number",
          "maxStandbyArchiveDelay": "string",
          "sessionDurationTimeout": "string",
          "logReplicationCommands": "boolean",
          "logAutovacuumMinDuration": "string",
          "passwordEncryption": "string"
        },
        "userConfig": {
          "maxConnections": "string",
          "sharedBuffers": "string",
          "tempBuffers": "string",
          "maxPreparedTransactions": "string",
          "workMem": "string",
          "maintenanceWorkMem": "string",
          "autovacuumWorkMem": "string",
          "tempFileLimit": "string",
          "vacuumCostDelay": "string",
          "vacuumCostPageHit": "string",
          "vacuumCostPageMiss": "string",
          "vacuumCostPageDirty": "string",
          "vacuumCostLimit": "string",
          "bgwriterDelay": "string",
          "bgwriterLruMaxpages": "string",
          "bgwriterLruMultiplier": "number",
          "bgwriterFlushAfter": "string",
          "backendFlushAfter": "string",
          "oldSnapshotThreshold": "string",
          "walLevel": "string",
          "synchronousCommit": "string",
          "checkpointTimeout": "string",
          "checkpointCompletionTarget": "number",
          "checkpointFlushAfter": "string",
          "maxWalSize": "string",
          "minWalSize": "string",
          "maxStandbyStreamingDelay": "string",
          "defaultStatisticsTarget": "string",
          "constraintExclusion": "string",
          "cursorTupleFraction": "number",
          "fromCollapseLimit": "string",
          "joinCollapseLimit": "string",
          "forceParallelMode": "string",
          "clientMinMessages": "string",
          "logMinMessages": "string",
          "logMinErrorStatement": "string",
          "logMinDurationStatement": "string",
          "logCheckpoints": "boolean",
          "logConnections": "boolean",
          "logDisconnections": "boolean",
          "logDuration": "boolean",
          "logErrorVerbosity": "string",
          "logLockWaits": "boolean",
          "logStatement": "string",
          "logTempFiles": "string",
          "searchPath": "string",
          "rowSecurity": "boolean",
          "defaultTransactionIsolation": "string",
          "statementTimeout": "string",
          "lockTimeout": "string",
          "idleInTransactionSessionTimeout": "string",
          "byteaOutput": "string",
          "xmlbinary": "string",
          "xmloption": "string",
          "ginPendingListLimit": "string",
          "deadlockTimeout": "string",
          "maxLocksPerTransaction": "string",
          "maxPredLocksPerTransaction": "string",
          "arrayNulls": "boolean",
          "backslashQuote": "string",
          "defaultWithOids": "boolean",
          "escapeStringWarning": "boolean",
          "loCompatPrivileges": "boolean",
          "operatorPrecedenceWarning": "boolean",
          "quoteAllIdentifiers": "boolean",
          "standardConformingStrings": "boolean",
          "synchronizeSeqscans": "boolean",
          "transformNullEquals": "boolean",
          "exitOnError": "boolean",
          "seqPageCost": "number",
          "randomPageCost": "number",
          "autovacuumMaxWorkers": "string",
          "autovacuumVacuumCostDelay": "string",
          "autovacuumVacuumCostLimit": "string",
          "autovacuumNaptime": "string",
          "archiveTimeout": "string",
          "trackActivityQuerySize": "string",
          "onlineAnalyzeEnable": "boolean",
          "enableBitmapscan": "boolean",
          "enableHashagg": "boolean",
          "enableHashjoin": "boolean",
          "enableIndexscan": "boolean",
          "enableIndexonlyscan": "boolean",
          "enableMaterial": "boolean",
          "enableMergejoin": "boolean",
          "enableNestloop": "boolean",
          "enableSeqscan": "boolean",
          "enableSort": "boolean",
          "enableTidscan": "boolean",
          "maxWorkerProcesses": "string",
          "maxParallelWorkers": "string",
          "maxParallelWorkersPerGather": "string",
          "autovacuumVacuumScaleFactor": "number",
          "autovacuumAnalyzeScaleFactor": "number",
          "defaultTransactionReadOnly": "boolean",
          "timezone": "string",
          "enableParallelAppend": "boolean",
          "enableParallelHash": "boolean",
          "enablePartitionPruning": "boolean",
          "enablePartitionwiseAggregate": "boolean",
          "enablePartitionwiseJoin": "boolean",
          "jit": "boolean",
          "maxParallelMaintenanceWorkers": "string",
          "parallelLeaderParticipation": "boolean",
          "vacuumCleanupIndexScaleFactor": "number",
          "logTransactionSampleRate": "number",
          "planCacheMode": "string",
          "effectiveIoConcurrency": "string",
          "effectiveCacheSize": "string",
          "sharedPreloadLibraries": [
            "string"
          ],
          "autoExplainLogMinDuration": "string",
          "autoExplainLogAnalyze": "boolean",
          "autoExplainLogBuffers": "boolean",
          "autoExplainLogTiming": "boolean",
          "autoExplainLogTriggers": "boolean",
          "autoExplainLogVerbose": "boolean",
          "autoExplainLogNestedStatements": "boolean",
          "autoExplainSampleRate": "number",
          "pgHintPlanEnableHint": "boolean",
          "pgHintPlanEnableHintTable": "boolean",
          "pgHintPlanDebugPrint": "string",
          "pgHintPlanMessageLevel": "string",
          "hashMemMultiplier": "number",
          "logicalDecodingWorkMem": "string",
          "maintenanceIoConcurrency": "string",
          "maxSlotWalKeepSize": "string",
          "walKeepSize": "string",
          "enableIncrementalSort": "boolean",
          "autovacuumVacuumInsertThreshold": "string",
          "autovacuumVacuumInsertScaleFactor": "number",
          "logMinDurationSample": "string",
          "logStatementSampleRate": "number",
          "logParameterMaxLength": "string",
          "logParameterMaxLengthOnError": "string",
          "pgQualstatsEnabled": "boolean",
          "pgQualstatsTrackConstants": "boolean",
          "pgQualstatsMax": "string",
          "pgQualstatsResolveOids": "boolean",
          "pgQualstatsSampleRate": "number",
          "plantunerFixEmptyTable": "boolean",
          "geqo": "boolean",
          "geqoThreshold": "string",
          "geqoEffort": "string",
          "geqoPoolSize": "string",
          "geqoGenerations": "string",
          "geqoSelectionBias": "number",
          "geqoSeed": "number",
          "pgTrgmSimilarityThreshold": "number",
          "pgTrgmWordSimilarityThreshold": "number",
          "pgTrgmStrictWordSimilarityThreshold": "number",
          "maxStandbyArchiveDelay": "string",
          "sessionDurationTimeout": "string",
          "logReplicationCommands": "boolean",
          "logAutovacuumMinDuration": "string",
          "passwordEncryption": "string"
        },
        "defaultConfig": {
          "maxConnections": "string",
          "sharedBuffers": "string",
          "tempBuffers": "string",
          "maxPreparedTransactions": "string",
          "workMem": "string",
          "maintenanceWorkMem": "string",
          "autovacuumWorkMem": "string",
          "tempFileLimit": "string",
          "vacuumCostDelay": "string",
          "vacuumCostPageHit": "string",
          "vacuumCostPageMiss": "string",
          "vacuumCostPageDirty": "string",
          "vacuumCostLimit": "string",
          "bgwriterDelay": "string",
          "bgwriterLruMaxpages": "string",
          "bgwriterLruMultiplier": "number",
          "bgwriterFlushAfter": "string",
          "backendFlushAfter": "string",
          "oldSnapshotThreshold": "string",
          "walLevel": "string",
          "synchronousCommit": "string",
          "checkpointTimeout": "string",
          "checkpointCompletionTarget": "number",
          "checkpointFlushAfter": "string",
          "maxWalSize": "string",
          "minWalSize": "string",
          "maxStandbyStreamingDelay": "string",
          "defaultStatisticsTarget": "string",
          "constraintExclusion": "string",
          "cursorTupleFraction": "number",
          "fromCollapseLimit": "string",
          "joinCollapseLimit": "string",
          "forceParallelMode": "string",
          "clientMinMessages": "string",
          "logMinMessages": "string",
          "logMinErrorStatement": "string",
          "logMinDurationStatement": "string",
          "logCheckpoints": "boolean",
          "logConnections": "boolean",
          "logDisconnections": "boolean",
          "logDuration": "boolean",
          "logErrorVerbosity": "string",
          "logLockWaits": "boolean",
          "logStatement": "string",
          "logTempFiles": "string",
          "searchPath": "string",
          "rowSecurity": "boolean",
          "defaultTransactionIsolation": "string",
          "statementTimeout": "string",
          "lockTimeout": "string",
          "idleInTransactionSessionTimeout": "string",
          "byteaOutput": "string",
          "xmlbinary": "string",
          "xmloption": "string",
          "ginPendingListLimit": "string",
          "deadlockTimeout": "string",
          "maxLocksPerTransaction": "string",
          "maxPredLocksPerTransaction": "string",
          "arrayNulls": "boolean",
          "backslashQuote": "string",
          "defaultWithOids": "boolean",
          "escapeStringWarning": "boolean",
          "loCompatPrivileges": "boolean",
          "operatorPrecedenceWarning": "boolean",
          "quoteAllIdentifiers": "boolean",
          "standardConformingStrings": "boolean",
          "synchronizeSeqscans": "boolean",
          "transformNullEquals": "boolean",
          "exitOnError": "boolean",
          "seqPageCost": "number",
          "randomPageCost": "number",
          "autovacuumMaxWorkers": "string",
          "autovacuumVacuumCostDelay": "string",
          "autovacuumVacuumCostLimit": "string",
          "autovacuumNaptime": "string",
          "archiveTimeout": "string",
          "trackActivityQuerySize": "string",
          "onlineAnalyzeEnable": "boolean",
          "enableBitmapscan": "boolean",
          "enableHashagg": "boolean",
          "enableHashjoin": "boolean",
          "enableIndexscan": "boolean",
          "enableIndexonlyscan": "boolean",
          "enableMaterial": "boolean",
          "enableMergejoin": "boolean",
          "enableNestloop": "boolean",
          "enableSeqscan": "boolean",
          "enableSort": "boolean",
          "enableTidscan": "boolean",
          "maxWorkerProcesses": "string",
          "maxParallelWorkers": "string",
          "maxParallelWorkersPerGather": "string",
          "autovacuumVacuumScaleFactor": "number",
          "autovacuumAnalyzeScaleFactor": "number",
          "defaultTransactionReadOnly": "boolean",
          "timezone": "string",
          "enableParallelAppend": "boolean",
          "enableParallelHash": "boolean",
          "enablePartitionPruning": "boolean",
          "enablePartitionwiseAggregate": "boolean",
          "enablePartitionwiseJoin": "boolean",
          "jit": "boolean",
          "maxParallelMaintenanceWorkers": "string",
          "parallelLeaderParticipation": "boolean",
          "vacuumCleanupIndexScaleFactor": "number",
          "logTransactionSampleRate": "number",
          "planCacheMode": "string",
          "effectiveIoConcurrency": "string",
          "effectiveCacheSize": "string",
          "sharedPreloadLibraries": [
            "string"
          ],
          "autoExplainLogMinDuration": "string",
          "autoExplainLogAnalyze": "boolean",
          "autoExplainLogBuffers": "boolean",
          "autoExplainLogTiming": "boolean",
          "autoExplainLogTriggers": "boolean",
          "autoExplainLogVerbose": "boolean",
          "autoExplainLogNestedStatements": "boolean",
          "autoExplainSampleRate": "number",
          "pgHintPlanEnableHint": "boolean",
          "pgHintPlanEnableHintTable": "boolean",
          "pgHintPlanDebugPrint": "string",
          "pgHintPlanMessageLevel": "string",
          "hashMemMultiplier": "number",
          "logicalDecodingWorkMem": "string",
          "maintenanceIoConcurrency": "string",
          "maxSlotWalKeepSize": "string",
          "walKeepSize": "string",
          "enableIncrementalSort": "boolean",
          "autovacuumVacuumInsertThreshold": "string",
          "autovacuumVacuumInsertScaleFactor": "number",
          "logMinDurationSample": "string",
          "logStatementSampleRate": "number",
          "logParameterMaxLength": "string",
          "logParameterMaxLengthOnError": "string",
          "pgQualstatsEnabled": "boolean",
          "pgQualstatsTrackConstants": "boolean",
          "pgQualstatsMax": "string",
          "pgQualstatsResolveOids": "boolean",
          "pgQualstatsSampleRate": "number",
          "plantunerFixEmptyTable": "boolean",
          "geqo": "boolean",
          "geqoThreshold": "string",
          "geqoEffort": "string",
          "geqoPoolSize": "string",
          "geqoGenerations": "string",
          "geqoSelectionBias": "number",
          "geqoSeed": "number",
          "pgTrgmSimilarityThreshold": "number",
          "pgTrgmWordSimilarityThreshold": "number",
          "pgTrgmStrictWordSimilarityThreshold": "number",
          "maxStandbyArchiveDelay": "string",
          "sessionDurationTimeout": "string",
          "logReplicationCommands": "boolean",
          "logAutovacuumMinDuration": "string",
          "passwordEncryption": "string"
        }
      },
      "postgresqlConfig_14": {
        "effectiveConfig": {
          "maxConnections": "string",
          "sharedBuffers": "string",
          "tempBuffers": "string",
          "maxPreparedTransactions": "string",
          "workMem": "string",
          "maintenanceWorkMem": "string",
          "autovacuumWorkMem": "string",
          "tempFileLimit": "string",
          "vacuumCostDelay": "string",
          "vacuumCostPageHit": "string",
          "vacuumCostPageMiss": "string",
          "vacuumCostPageDirty": "string",
          "vacuumCostLimit": "string",
          "bgwriterDelay": "string",
          "bgwriterLruMaxpages": "string",
          "bgwriterLruMultiplier": "number",
          "bgwriterFlushAfter": "string",
          "backendFlushAfter": "string",
          "oldSnapshotThreshold": "string",
          "walLevel": "string",
          "synchronousCommit": "string",
          "checkpointTimeout": "string",
          "checkpointCompletionTarget": "number",
          "checkpointFlushAfter": "string",
          "maxWalSize": "string",
          "minWalSize": "string",
          "maxStandbyStreamingDelay": "string",
          "defaultStatisticsTarget": "string",
          "constraintExclusion": "string",
          "cursorTupleFraction": "number",
          "fromCollapseLimit": "string",
          "joinCollapseLimit": "string",
          "forceParallelMode": "string",
          "clientMinMessages": "string",
          "logMinMessages": "string",
          "logMinErrorStatement": "string",
          "logMinDurationStatement": "string",
          "logCheckpoints": "boolean",
          "logConnections": "boolean",
          "logDisconnections": "boolean",
          "logDuration": "boolean",
          "logErrorVerbosity": "string",
          "logLockWaits": "boolean",
          "logStatement": "string",
          "logTempFiles": "string",
          "searchPath": "string",
          "rowSecurity": "boolean",
          "defaultTransactionIsolation": "string",
          "statementTimeout": "string",
          "lockTimeout": "string",
          "idleInTransactionSessionTimeout": "string",
          "byteaOutput": "string",
          "xmlbinary": "string",
          "xmloption": "string",
          "ginPendingListLimit": "string",
          "deadlockTimeout": "string",
          "maxLocksPerTransaction": "string",
          "maxPredLocksPerTransaction": "string",
          "arrayNulls": "boolean",
          "backslashQuote": "string",
          "defaultWithOids": "boolean",
          "escapeStringWarning": "boolean",
          "loCompatPrivileges": "boolean",
          "quoteAllIdentifiers": "boolean",
          "standardConformingStrings": "boolean",
          "synchronizeSeqscans": "boolean",
          "transformNullEquals": "boolean",
          "exitOnError": "boolean",
          "seqPageCost": "number",
          "randomPageCost": "number",
          "autovacuumMaxWorkers": "string",
          "autovacuumVacuumCostDelay": "string",
          "autovacuumVacuumCostLimit": "string",
          "autovacuumNaptime": "string",
          "archiveTimeout": "string",
          "trackActivityQuerySize": "string",
          "enableBitmapscan": "boolean",
          "enableHashagg": "boolean",
          "enableHashjoin": "boolean",
          "enableIndexscan": "boolean",
          "enableIndexonlyscan": "boolean",
          "enableMaterial": "boolean",
          "enableMergejoin": "boolean",
          "enableNestloop": "boolean",
          "enableSeqscan": "boolean",
          "enableSort": "boolean",
          "enableTidscan": "boolean",
          "maxWorkerProcesses": "string",
          "maxParallelWorkers": "string",
          "maxParallelWorkersPerGather": "string",
          "autovacuumVacuumScaleFactor": "number",
          "autovacuumAnalyzeScaleFactor": "number",
          "defaultTransactionReadOnly": "boolean",
          "timezone": "string",
          "enableParallelAppend": "boolean",
          "enableParallelHash": "boolean",
          "enablePartitionPruning": "boolean",
          "enablePartitionwiseAggregate": "boolean",
          "enablePartitionwiseJoin": "boolean",
          "jit": "boolean",
          "maxParallelMaintenanceWorkers": "string",
          "parallelLeaderParticipation": "boolean",
          "logTransactionSampleRate": "number",
          "planCacheMode": "string",
          "effectiveIoConcurrency": "string",
          "effectiveCacheSize": "string",
          "sharedPreloadLibraries": [
            "string"
          ],
          "autoExplainLogMinDuration": "string",
          "autoExplainLogAnalyze": "boolean",
          "autoExplainLogBuffers": "boolean",
          "autoExplainLogTiming": "boolean",
          "autoExplainLogTriggers": "boolean",
          "autoExplainLogVerbose": "boolean",
          "autoExplainLogNestedStatements": "boolean",
          "autoExplainSampleRate": "number",
          "pgHintPlanEnableHint": "boolean",
          "pgHintPlanEnableHintTable": "boolean",
          "pgHintPlanDebugPrint": "string",
          "pgHintPlanMessageLevel": "string",
          "hashMemMultiplier": "number",
          "logicalDecodingWorkMem": "string",
          "maintenanceIoConcurrency": "string",
          "maxSlotWalKeepSize": "string",
          "walKeepSize": "string",
          "enableIncrementalSort": "boolean",
          "autovacuumVacuumInsertThreshold": "string",
          "autovacuumVacuumInsertScaleFactor": "number",
          "logMinDurationSample": "string",
          "logStatementSampleRate": "number",
          "logParameterMaxLength": "string",
          "logParameterMaxLengthOnError": "string",
          "clientConnectionCheckInterval": "string",
          "enableAsyncAppend": "boolean",
          "enableGathermerge": "boolean",
          "enableMemoize": "boolean",
          "logRecoveryConflictWaits": "boolean",
          "vacuumFailsafeAge": "string",
          "vacuumMultixactFailsafeAge": "string",
          "pgQualstatsEnabled": "boolean",
          "pgQualstatsTrackConstants": "boolean",
          "pgQualstatsMax": "string",
          "pgQualstatsResolveOids": "boolean",
          "pgQualstatsSampleRate": "number",
          "maxStackDepth": "string",
          "geqo": "boolean",
          "geqoThreshold": "string",
          "geqoEffort": "string",
          "geqoPoolSize": "string",
          "geqoGenerations": "string",
          "geqoSelectionBias": "number",
          "geqoSeed": "number",
          "pgTrgmSimilarityThreshold": "number",
          "pgTrgmWordSimilarityThreshold": "number",
          "pgTrgmStrictWordSimilarityThreshold": "number",
          "maxStandbyArchiveDelay": "string",
          "sessionDurationTimeout": "string",
          "logReplicationCommands": "boolean",
          "logAutovacuumMinDuration": "string",
          "passwordEncryption": "string",
          "autoExplainLogFormat": "string",
          "idleSessionTimeout": "string",
          "checkpointWarning": "string"
        },
        "userConfig": {
          "maxConnections": "string",
          "sharedBuffers": "string",
          "tempBuffers": "string",
          "maxPreparedTransactions": "string",
          "workMem": "string",
          "maintenanceWorkMem": "string",
          "autovacuumWorkMem": "string",
          "tempFileLimit": "string",
          "vacuumCostDelay": "string",
          "vacuumCostPageHit": "string",
          "vacuumCostPageMiss": "string",
          "vacuumCostPageDirty": "string",
          "vacuumCostLimit": "string",
          "bgwriterDelay": "string",
          "bgwriterLruMaxpages": "string",
          "bgwriterLruMultiplier": "number",
          "bgwriterFlushAfter": "string",
          "backendFlushAfter": "string",
          "oldSnapshotThreshold": "string",
          "walLevel": "string",
          "synchronousCommit": "string",
          "checkpointTimeout": "string",
          "checkpointCompletionTarget": "number",
          "checkpointFlushAfter": "string",
          "maxWalSize": "string",
          "minWalSize": "string",
          "maxStandbyStreamingDelay": "string",
          "defaultStatisticsTarget": "string",
          "constraintExclusion": "string",
          "cursorTupleFraction": "number",
          "fromCollapseLimit": "string",
          "joinCollapseLimit": "string",
          "forceParallelMode": "string",
          "clientMinMessages": "string",
          "logMinMessages": "string",
          "logMinErrorStatement": "string",
          "logMinDurationStatement": "string",
          "logCheckpoints": "boolean",
          "logConnections": "boolean",
          "logDisconnections": "boolean",
          "logDuration": "boolean",
          "logErrorVerbosity": "string",
          "logLockWaits": "boolean",
          "logStatement": "string",
          "logTempFiles": "string",
          "searchPath": "string",
          "rowSecurity": "boolean",
          "defaultTransactionIsolation": "string",
          "statementTimeout": "string",
          "lockTimeout": "string",
          "idleInTransactionSessionTimeout": "string",
          "byteaOutput": "string",
          "xmlbinary": "string",
          "xmloption": "string",
          "ginPendingListLimit": "string",
          "deadlockTimeout": "string",
          "maxLocksPerTransaction": "string",
          "maxPredLocksPerTransaction": "string",
          "arrayNulls": "boolean",
          "backslashQuote": "string",
          "defaultWithOids": "boolean",
          "escapeStringWarning": "boolean",
          "loCompatPrivileges": "boolean",
          "quoteAllIdentifiers": "boolean",
          "standardConformingStrings": "boolean",
          "synchronizeSeqscans": "boolean",
          "transformNullEquals": "boolean",
          "exitOnError": "boolean",
          "seqPageCost": "number",
          "randomPageCost": "number",
          "autovacuumMaxWorkers": "string",
          "autovacuumVacuumCostDelay": "string",
          "autovacuumVacuumCostLimit": "string",
          "autovacuumNaptime": "string",
          "archiveTimeout": "string",
          "trackActivityQuerySize": "string",
          "enableBitmapscan": "boolean",
          "enableHashagg": "boolean",
          "enableHashjoin": "boolean",
          "enableIndexscan": "boolean",
          "enableIndexonlyscan": "boolean",
          "enableMaterial": "boolean",
          "enableMergejoin": "boolean",
          "enableNestloop": "boolean",
          "enableSeqscan": "boolean",
          "enableSort": "boolean",
          "enableTidscan": "boolean",
          "maxWorkerProcesses": "string",
          "maxParallelWorkers": "string",
          "maxParallelWorkersPerGather": "string",
          "autovacuumVacuumScaleFactor": "number",
          "autovacuumAnalyzeScaleFactor": "number",
          "defaultTransactionReadOnly": "boolean",
          "timezone": "string",
          "enableParallelAppend": "boolean",
          "enableParallelHash": "boolean",
          "enablePartitionPruning": "boolean",
          "enablePartitionwiseAggregate": "boolean",
          "enablePartitionwiseJoin": "boolean",
          "jit": "boolean",
          "maxParallelMaintenanceWorkers": "string",
          "parallelLeaderParticipation": "boolean",
          "logTransactionSampleRate": "number",
          "planCacheMode": "string",
          "effectiveIoConcurrency": "string",
          "effectiveCacheSize": "string",
          "sharedPreloadLibraries": [
            "string"
          ],
          "autoExplainLogMinDuration": "string",
          "autoExplainLogAnalyze": "boolean",
          "autoExplainLogBuffers": "boolean",
          "autoExplainLogTiming": "boolean",
          "autoExplainLogTriggers": "boolean",
          "autoExplainLogVerbose": "boolean",
          "autoExplainLogNestedStatements": "boolean",
          "autoExplainSampleRate": "number",
          "pgHintPlanEnableHint": "boolean",
          "pgHintPlanEnableHintTable": "boolean",
          "pgHintPlanDebugPrint": "string",
          "pgHintPlanMessageLevel": "string",
          "hashMemMultiplier": "number",
          "logicalDecodingWorkMem": "string",
          "maintenanceIoConcurrency": "string",
          "maxSlotWalKeepSize": "string",
          "walKeepSize": "string",
          "enableIncrementalSort": "boolean",
          "autovacuumVacuumInsertThreshold": "string",
          "autovacuumVacuumInsertScaleFactor": "number",
          "logMinDurationSample": "string",
          "logStatementSampleRate": "number",
          "logParameterMaxLength": "string",
          "logParameterMaxLengthOnError": "string",
          "clientConnectionCheckInterval": "string",
          "enableAsyncAppend": "boolean",
          "enableGathermerge": "boolean",
          "enableMemoize": "boolean",
          "logRecoveryConflictWaits": "boolean",
          "vacuumFailsafeAge": "string",
          "vacuumMultixactFailsafeAge": "string",
          "pgQualstatsEnabled": "boolean",
          "pgQualstatsTrackConstants": "boolean",
          "pgQualstatsMax": "string",
          "pgQualstatsResolveOids": "boolean",
          "pgQualstatsSampleRate": "number",
          "maxStackDepth": "string",
          "geqo": "boolean",
          "geqoThreshold": "string",
          "geqoEffort": "string",
          "geqoPoolSize": "string",
          "geqoGenerations": "string",
          "geqoSelectionBias": "number",
          "geqoSeed": "number",
          "pgTrgmSimilarityThreshold": "number",
          "pgTrgmWordSimilarityThreshold": "number",
          "pgTrgmStrictWordSimilarityThreshold": "number",
          "maxStandbyArchiveDelay": "string",
          "sessionDurationTimeout": "string",
          "logReplicationCommands": "boolean",
          "logAutovacuumMinDuration": "string",
          "passwordEncryption": "string",
          "autoExplainLogFormat": "string",
          "idleSessionTimeout": "string",
          "checkpointWarning": "string"
        },
        "defaultConfig": {
          "maxConnections": "string",
          "sharedBuffers": "string",
          "tempBuffers": "string",
          "maxPreparedTransactions": "string",
          "workMem": "string",
          "maintenanceWorkMem": "string",
          "autovacuumWorkMem": "string",
          "tempFileLimit": "string",
          "vacuumCostDelay": "string",
          "vacuumCostPageHit": "string",
          "vacuumCostPageMiss": "string",
          "vacuumCostPageDirty": "string",
          "vacuumCostLimit": "string",
          "bgwriterDelay": "string",
          "bgwriterLruMaxpages": "string",
          "bgwriterLruMultiplier": "number",
          "bgwriterFlushAfter": "string",
          "backendFlushAfter": "string",
          "oldSnapshotThreshold": "string",
          "walLevel": "string",
          "synchronousCommit": "string",
          "checkpointTimeout": "string",
          "checkpointCompletionTarget": "number",
          "checkpointFlushAfter": "string",
          "maxWalSize": "string",
          "minWalSize": "string",
          "maxStandbyStreamingDelay": "string",
          "defaultStatisticsTarget": "string",
          "constraintExclusion": "string",
          "cursorTupleFraction": "number",
          "fromCollapseLimit": "string",
          "joinCollapseLimit": "string",
          "forceParallelMode": "string",
          "clientMinMessages": "string",
          "logMinMessages": "string",
          "logMinErrorStatement": "string",
          "logMinDurationStatement": "string",
          "logCheckpoints": "boolean",
          "logConnections": "boolean",
          "logDisconnections": "boolean",
          "logDuration": "boolean",
          "logErrorVerbosity": "string",
          "logLockWaits": "boolean",
          "logStatement": "string",
          "logTempFiles": "string",
          "searchPath": "string",
          "rowSecurity": "boolean",
          "defaultTransactionIsolation": "string",
          "statementTimeout": "string",
          "lockTimeout": "string",
          "idleInTransactionSessionTimeout": "string",
          "byteaOutput": "string",
          "xmlbinary": "string",
          "xmloption": "string",
          "ginPendingListLimit": "string",
          "deadlockTimeout": "string",
          "maxLocksPerTransaction": "string",
          "maxPredLocksPerTransaction": "string",
          "arrayNulls": "boolean",
          "backslashQuote": "string",
          "defaultWithOids": "boolean",
          "escapeStringWarning": "boolean",
          "loCompatPrivileges": "boolean",
          "quoteAllIdentifiers": "boolean",
          "standardConformingStrings": "boolean",
          "synchronizeSeqscans": "boolean",
          "transformNullEquals": "boolean",
          "exitOnError": "boolean",
          "seqPageCost": "number",
          "randomPageCost": "number",
          "autovacuumMaxWorkers": "string",
          "autovacuumVacuumCostDelay": "string",
          "autovacuumVacuumCostLimit": "string",
          "autovacuumNaptime": "string",
          "archiveTimeout": "string",
          "trackActivityQuerySize": "string",
          "enableBitmapscan": "boolean",
          "enableHashagg": "boolean",
          "enableHashjoin": "boolean",
          "enableIndexscan": "boolean",
          "enableIndexonlyscan": "boolean",
          "enableMaterial": "boolean",
          "enableMergejoin": "boolean",
          "enableNestloop": "boolean",
          "enableSeqscan": "boolean",
          "enableSort": "boolean",
          "enableTidscan": "boolean",
          "maxWorkerProcesses": "string",
          "maxParallelWorkers": "string",
          "maxParallelWorkersPerGather": "string",
          "autovacuumVacuumScaleFactor": "number",
          "autovacuumAnalyzeScaleFactor": "number",
          "defaultTransactionReadOnly": "boolean",
          "timezone": "string",
          "enableParallelAppend": "boolean",
          "enableParallelHash": "boolean",
          "enablePartitionPruning": "boolean",
          "enablePartitionwiseAggregate": "boolean",
          "enablePartitionwiseJoin": "boolean",
          "jit": "boolean",
          "maxParallelMaintenanceWorkers": "string",
          "parallelLeaderParticipation": "boolean",
          "logTransactionSampleRate": "number",
          "planCacheMode": "string",
          "effectiveIoConcurrency": "string",
          "effectiveCacheSize": "string",
          "sharedPreloadLibraries": [
            "string"
          ],
          "autoExplainLogMinDuration": "string",
          "autoExplainLogAnalyze": "boolean",
          "autoExplainLogBuffers": "boolean",
          "autoExplainLogTiming": "boolean",
          "autoExplainLogTriggers": "boolean",
          "autoExplainLogVerbose": "boolean",
          "autoExplainLogNestedStatements": "boolean",
          "autoExplainSampleRate": "number",
          "pgHintPlanEnableHint": "boolean",
          "pgHintPlanEnableHintTable": "boolean",
          "pgHintPlanDebugPrint": "string",
          "pgHintPlanMessageLevel": "string",
          "hashMemMultiplier": "number",
          "logicalDecodingWorkMem": "string",
          "maintenanceIoConcurrency": "string",
          "maxSlotWalKeepSize": "string",
          "walKeepSize": "string",
          "enableIncrementalSort": "boolean",
          "autovacuumVacuumInsertThreshold": "string",
          "autovacuumVacuumInsertScaleFactor": "number",
          "logMinDurationSample": "string",
          "logStatementSampleRate": "number",
          "logParameterMaxLength": "string",
          "logParameterMaxLengthOnError": "string",
          "clientConnectionCheckInterval": "string",
          "enableAsyncAppend": "boolean",
          "enableGathermerge": "boolean",
          "enableMemoize": "boolean",
          "logRecoveryConflictWaits": "boolean",
          "vacuumFailsafeAge": "string",
          "vacuumMultixactFailsafeAge": "string",
          "pgQualstatsEnabled": "boolean",
          "pgQualstatsTrackConstants": "boolean",
          "pgQualstatsMax": "string",
          "pgQualstatsResolveOids": "boolean",
          "pgQualstatsSampleRate": "number",
          "maxStackDepth": "string",
          "geqo": "boolean",
          "geqoThreshold": "string",
          "geqoEffort": "string",
          "geqoPoolSize": "string",
          "geqoGenerations": "string",
[...]
